import { useResource } from "@/modules/resource";
import { useQueditor } from "@queenjs-modules/queditor";
import { Empty } from "ant-design-vue";
import { defineUI } from "queenjs";
import MatAttr from "./MatAttr";
import { upperFirst } from "lodash";
import MeshAttr from "./MeshAttr";

export default defineUI({
  slots: {
    MatAttr,
    MeshAttr,
  },
  setup(props, { slots }) {
    const resource = useResource();
    const queditor = useQueditor();

    return () => {
      console.error(resource.store.currentSlot);
      const { activeKeys } = resource.store;
      if (!resource.store.currentSlot)
        return <Empty class="pt-80px" description="暂无数据" />;
      else {
        const CurrComp = (slots as any)[`${upperFirst(activeKeys.type)}Attr`];
        return (
          <CurrComp
          // data={resource.store.currentSlot}
          />
        );
      }
    };
  },
});
